summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTheo de Raadt <deraadt@cvs.openbsd.org>2003-09-09 23:33:35 +0000
committerTheo de Raadt <deraadt@cvs.openbsd.org>2003-09-09 23:33:35 +0000
commitc9446e7902324e979f99db1ea5a9e09450681e8a (patch)
treee153c3cd19633b1ef414bff0157e8710afd95d8a
parent95f9f9fb1e4232bdda8550b92530bcc94a69ac09 (diff)
do not defer * matching; from drahn, with some input from me
-rw-r--r--distrib/miniroot/upgrade.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/distrib/miniroot/upgrade.sh b/distrib/miniroot/upgrade.sh
index ca08de2f678..c2147aded02 100644
--- a/distrib/miniroot/upgrade.sh
+++ b/distrib/miniroot/upgrade.sh
@@ -1,5 +1,5 @@
#!/bin/sh
-# $OpenBSD: upgrade.sh,v 1.53 2003/09/06 23:02:55 krw Exp $
+# $OpenBSD: upgrade.sh,v 1.54 2003/09/09 23:33:34 deraadt Exp $
# $NetBSD: upgrade.sh,v 1.2.4.5 1996/08/27 18:15:08 gwr Exp $
#
# Copyright (c) 1997-2002 Todd Miller, Theo de Raadt, Ken Westerback
@@ -128,9 +128,9 @@ mount_fs
# openssl is the directory and ssl is the link. This change causes the upgrade
# of base34 and comp34 to fail, so adjust a normal pre-3.4 setup to the new
# setup.
-for _dir in /usr/include /usr/libdata/perl5/site_perl/*-openbsd; do
- [[ -d /mnt$_dir ]] || continue
- ( cd /mnt$_dir
+for _dir in /mnt/usr/include /mnt/usr/libdata/perl5/site_perl/*-openbsd; do
+ [[ -d $_dir ]] || continue
+ ( cd $_dir
if [[ -d ssl && -L openssl ]]; then
rm openssl
mv ssl openssl